import request from '@/utils/request'

// 查询图片管理列表
export function listImg(query) {
  return request({
    url: '/system/img/list',
    method: 'get',
    params: query
  })
}

// 查询图片管理详细
export function getImg(id) {
  return request({
    url: '/system/img/' + id,
    method: 'get'
  })
}

// 新增图片管理
export function addImg(data) {
  return request({
    url: '/system/img',
    method: 'post',
    data: data
  })
}

// 修改图片管理
export function updateImg(data) {
  return request({
    url: '/system/img',
    method: 'put',
    data: data
  })
}

// 删除图片管理
export function delImg(id) {
  return request({
    url: '/system/img/' + id,
    method: 'delete'
  })
}
